Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### round()
Examples |
    float x = 9.2;
    int rx = round(x);  // Sets rx to 9

    float y = 9.5;
    int ry = round(y);  // Sets ry to 10

    float z = 9.9;
    int rz = round(z);  // Sets rz to 10
Description | Calculates the integer closest to the value parameter. For example, round(9.2) returns the value 9.
Syntax |
    round(value)
Parameters |
value | float
Returns | int
Usage | Web & Application
Related | floor() ceil()

Updated on August 30, 2010 04:29:39pm EDT